JBoss API: Class ConfigurationMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.metadata
Class ConfigurationMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.metadata.ConfigurationMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class ConfigurationMetaData
extends MetaData

The configuration information for an EJB container.

Version:
  $Revision: 1.14.2.4 $
Author:
  Sebastien Alborini, Scott.Stark@jboss.org

Field Summary
`static byte` | `A_COMMIT_OPTION`
`static byte` | `B_COMMIT_OPTION`
`static java.lang.String` | `BMP_12`
`static java.lang.String` | `BMP_13`
`static byte` | `C_COMMIT_OPTION`
`static java.lang.String` | `CMP_12`
`static java.lang.String` | `CMP_13`
`static java.lang.String[]` | `commitOptionStrings`
`static byte` | `D_COMMIT_OPTION` D_COMMIT_OPTION is a lazy load option.
`static java.lang.String` | `MESSAGE_DRIVEN_12`
`static java.lang.String` | `MESSAGE_DRIVEN_13`
`static java.lang.String` | `STATEFUL_12`
`static java.lang.String` | `STATEFUL_13`
`static java.lang.String` | `STATELESS_12`
`static java.lang.String` | `STATELESS_13`

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`ConfigurationMetaData(java.lang.String name)`

Method Summary
`java.lang.String` | `getAuthenticationModule()`
`boolean` | `getCallLogging()`
`byte` | `getCommitOption()`
`org.w3c.dom.Element` | `getContainerCacheConf()`
`org.w3c.dom.Element` | `getContainerInterceptorsConf()`
`java.lang.String` | `getContainerInvoker()`
`org.w3c.dom.Element` | `getContainerInvokerConf()`
`org.w3c.dom.Element` | `getContainerPoolConf()`
`java.lang.String` | `getInstanceCache()`
`java.lang.String` | `getInstancePool()`
`java.lang.String` | `getLockClass()`
`java.lang.String` | `getName()`
`long` | `getOptionDRefreshRate()`
`java.lang.String` | `getPersistenceManager()`
`boolean` | `getReadOnlyGetMethods()`
`java.lang.String` | `getRoleMappingManager()`
`java.lang.String` | `getSecurityDomain()`
`java.lang.String` | `getTransactionManager()`
`void` | `importJbossXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CMP_13

    public static final java.lang.String CMP_13

### BMP_13

    public static final java.lang.String BMP_13

### STATELESS_13

    public static final java.lang.String STATELESS_13

### STATEFUL_13

    public static final java.lang.String STATEFUL_13

### MESSAGE_DRIVEN_13

    public static final java.lang.String MESSAGE_DRIVEN_13

### CMP_12

    public static final java.lang.String CMP_12

### BMP_12

    public static final java.lang.String BMP_12

### STATELESS_12

    public static final java.lang.String STATELESS_12

### STATEFUL_12

    public static final java.lang.String STATEFUL_12

### MESSAGE_DRIVEN_12

    public static final java.lang.String MESSAGE_DRIVEN_12

### A_COMMIT_OPTION

    public static final byte A_COMMIT_OPTION

### B_COMMIT_OPTION

    public static final byte B_COMMIT_OPTION

### C_COMMIT_OPTION

    public static final byte C_COMMIT_OPTION

### D_COMMIT_OPTION

    public static final byte D_COMMIT_OPTION

  D_COMMIT_OPTION is a lazy load option. By default it synchronizes every 30 seconds

### commitOptionStrings

    public static final java.lang.String[] commitOptionStrings

Constructor Detail

### ConfigurationMetaData

    public ConfigurationMetaData(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getContainerInvoker

    public java.lang.String getContainerInvoker()

### getInstancePool

    public java.lang.String getInstancePool()

### getInstanceCache

    public java.lang.String getInstanceCache()

### getPersistenceManager

    public java.lang.String getPersistenceManager()

### getSecurityDomain

    public java.lang.String getSecurityDomain()

### getAuthenticationModule

    public java.lang.String getAuthenticationModule()

### getRoleMappingManager

    public java.lang.String getRoleMappingManager()

### getTransactionManager

    public java.lang.String getTransactionManager()

### getLockClass

    public java.lang.String getLockClass()

### getContainerInvokerConf

    public org.w3c.dom.Element getContainerInvokerConf()

### getContainerPoolConf

    public org.w3c.dom.Element getContainerPoolConf()

### getContainerCacheConf

    public org.w3c.dom.Element getContainerCacheConf()

### getContainerInterceptorsConf

    public org.w3c.dom.Element getContainerInterceptorsConf()

### getCallLogging

    public boolean getCallLogging()

### getCommitOption

    public byte getCommitOption()

### getOptionDRefreshRate

    public long getOptionDRefreshRate()

### getReadOnlyGetMethods

    public boolean getReadOnlyGetMethods()

### importJbossXml

    public void importJbossXml(org.w3c.dom.Element element)
                        throws DeploymentException

  Overrides:
    `importJbossXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.